/*    :  N;  N    :
  4
 3 13  11 5
 14 1  10 5
 10 14  20 4
 5 6  10 1

         N (1<=N<=1000) ,   
   -    0  20000.    ,  
            
   ,  ..       -
      45    OX.     
  .            
   ( O),      X,   
  OX        .    N 
      ,      O.   
   N  N    -    . 
     -   .

   -   tg( Ox,    .    ).
             ,  
  .       , ..  
           (..   
  .) "".     ,  ""    ,
           .   , 
         ""    
  ,       ,    
      .   ,      
        .    
       .      
       ,       
          ,   ,  
      .      
          ,  ,   
    ,   -      
  .        ,  
      ,  ""       
  ,      -   .  
    -  -   .

   
  e-mail: mapto@polbox.com
*/

#include <stdio.h>
#include <stdlib.h>

typedef struct{
  int x;
  int y;
  double tg;
} vertex;

int n;
int seen; /*     */
vertex line[2000][2]; /*       0  1 */

/*     qsort()    x + y */
int comp( vertex *a, vertex *b )
{
  return (a[0].x + a[0].y < b[0].x + b[0].y) ? -1 : (b[0].x + b[0].y < a[0].x + a[0].y);
}

int main()
{
  FILE *f = fopen( "gle.c", "r+" );
  int i, t /*     */
  int hidden; /*    "  "  */

/*  */
  fscanf( f, "%d", &n );
  for( i = 0; i < n; ++i )
  {
    fscanf( f, "%d %d %d %d", &line[i][0].x, &line[i][0].y, &line[i][1].x, &line[i][1].y );
    if( line[i][0].x < line[i][1].x ) /*        0    - x */
      t = line[i][0].x, line[i][0].x = line[i][1].x, line[i][1].x = t,
      t = line[i][0].y, line[i][0].y = line[i][1].y, line[i][1].y = t;
/*   tg */
/*  x = 0 => tg = 2001, ..   tg      tg = 2000 / 1 = 2000 */
    line[i][0].tg = line[i][0].x ? (double)line[i][0].y / (double)line[i][0].x : 2001,
    line[i][1].tg = line[i][1].x ? (double)line[i][1].y / (double)line[i][1].x : 2001;
  }
  fclose( f );

/*      x + y */
  qsort( &line, n, sizeof( vertex ) * 2, (void *)comp );

/*     */
  for( i = 0; i < n; ++i )
  {
    for( t = i - 1, hidden = 0; t >= 0 ; --t )
      if( line[i][0].tg >= line[t][0].tg && line[i][1].tg <= line[t][1].tg )
      {
        hidden = 1;
        break;
      }
    if( !hidden ) seen++;
    for( t = 0; t < i; ++t )
    {
      if( line[i][0].tg < line[t][0].tg && line[t][0].tg < line[i][1].tg )
        line[t][0].tg = line[i][0].tg;
      if( line[i][0].tg < line[t][1].tg && line[t][1].tg < line[i][1].tg )
        line[t][1].tg = line[i][1].tg;
    }
  }

/*  */
  printf( f, "%d\n", seen);
  return 1;
}
