{
 10
 9 -1 8 -8 -1 0 -8 -2 -1 0
 0 7 -9 -6 1 -1 6 -3 -3 -9
 -1 0 -5 5 7 5 1 0 -6 2
 -4 7 9 -6 1 8 5 -5 -8 5
 3 5 3 -1 1 6 8 -9 2 1
 -8 8 -8 0 4 -3 4 -7 -6 -7
 6 4 -4 -9 1 9 0 1 -5 -3
 8 1 1 -2 -6 4 -8 -8 -5 8
 -6 9 -9 1 7 -7 -4 0 6 5
 -8 -3 -3 -4 9 -8 -6 7 8 -1

                            
                           ------------------

          N x N (N<=60),    
  .      K x K   (K<=N), -
       .     1   -
   - N   N    N  - .    
 -  .

     :  N<=60,     ,  
             -
  K.          
     K,         -
       K+1.      -
 ,      K     K+1.  
    .         N^4,  
     N<=60.
                                                               Star Gruhtar
                                                                  , 1999
}

CONST InFileName  = 'SQR1.PAS';
      OutFileName = '';
      MaxN = 64;

VAR N,K: integer;
    T: array[1..MaxN,1..MaxN] of integer;
    Best: longint;


Procedure ReadData;
Var F: Text;
    x,y: integer;
Begin
  Assign(F,InFileName); Reset(F); ReadLn(F);
  Read(F,N);
  for y:= 1 to N do
    begin
      ReadLn(F);
      for x:= 1 to N do
        Read(F,T[x,y]);
    end;
  Close(F);
End;


Procedure Check1K(BegX,BegY: integer);
{  Check the sum of all squares that begin at position
   (BegX,BegY) and have size K = 1, 2, ... N  }
  Function Max(a,b:integer): integer;
  Begin if a > b then Max:=a else Max:=b End;
Var Sum: longint;
    K,x,y: integer;
Begin
  Sum:=0;
  for K:= 0 to N - Max(BegX,BegY) do
    begin
      for x:= BegX to BegX+K do
        Inc(Sum,T[x,BegY+K]);
      for y:= BegY to BegY+K-1 do
        Inc(Sum,T[BegX+K,y]);
      if Sum > Best then
        Best:=Sum;
    end;
End;


Procedure PrintResult;
Var OutF: Text;
Begin
  Assign(OutF,OutFileName); Rewrite(OutF);
  WriteLn(OutF,Best);
  Close(OutF);
End;


VAR BegX,BegY: integer;

BEGIN
  ReadData;
  Best:=-MaxInt;
  for BegX:= 1 to N do
    for BegY:= 1 to N do
      Check1K(BegX,BegY);
  PrintResult;
END.